Subject: bug#16840: 24.3.50; Jerky motion and up/down asymmetry scrolling images in Eww

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Sep 2019 17:29:32 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 27 Sep 2019 16:12:31 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Your code generates an image whose height is smaller than the window
> > height, and in that case Emacs scrolls the entire image off the window
> > in one go, because all of the image was already visible once.
> 
> Oh, the
> 
>   (set-frame-height (window-frame (selected-window)) 1000 nil t)
> 
> bit didn't work?  That was supposed to ensure that the window was
> shorter than the image...

Evidently, it didn't.

> > If I decrease the frame height so that the image becomes taller than
> > the window, the image is scrolled partially until you had a chance to
> > see all of it, then the rest is scrolled away in one large step.  This
> > is exactly how the code in simple.el is designed and implemented, so I
> > see no bug here.
> 
> It might be how it's designed, but it's (as you can see from this bug
> report) behaviour that people find surprising.

Maybe they don't understand why this was designed like that?  I
explained the idea, and it makes sense if you consider the use case of
text displayed with very large font.

If that is still not good enough, you and they are welcome to get the
hands dirty in the relevant parts of simple.el.  I don't plan on doing
that any time soon, having stepped through that code and hacked it too
much for one lifetime.